std::ios_base::failure(3)

NAME
std::ios_base::failure -

SYNOPSIS

Inherits std::exception.

  Public Member Functions
failure (const string &__str) throw ()
virtual const char * what () const throw ()

Detailed Description

These are thrown to indicate problems with io.

27.4.2.1.1 Class ios_base::failure.

Definition at line 209 of file ios_base.h.

Member Function Documentation

  virtual const char* std::ios_base::failure::what () const [virtual]
Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.